#!/bin/sh

name="lablgtk"
title="LablGTK"
package="lablgtk"
version="1.2.5"
build="1.1"
noarch="n"
build_info="Standard build."

info="An OCaml interface to GTK+."
desc="LablGTK is an Objective Caml interface to GTK+. It uses
the rich type system of Objective Caml 3 to provide a
strongly typed, yet very comfortable, object-oriented
interface to gtk+. This is not that easy if you know the
dynamic typing approach taken by GTK+."
category="development/interface"
environment="console/text"
contact="$name@packages.packware.one.pl"
vendor="The Packware Project"
vendor_id="pw"

requires=""
obsoletes=""
conflicts=""

docs_source="CHANGES,COPYING,README"
docs_cwd=""

strip_bin="y"
reset_own="y"
reset_dir="y"
reset_fil="y"
delete_cat="y"

. /usr/src/tgz/lib/builder.defs

add_source http://wwwfun.kurims.kyoto-u.ac.jp/soft/olabl/dist/$name-$version.tar.gz

make_option configure
#make_option BINDIR=/usr/bin

install_option BINDIR=$pkg_main/usr/bin
install_option LIBDIR=$pkg_main/usr/lib/ocaml
install_option INSTALLDIR=$pkg_main/usr/lib/ocaml/lablgtk
install_option DLLDIR=$pkg_main/usr/lib/ocaml/stublibs

parent_package="$package"
write_info main

cd $src1

do_make
rm -f pwbuilder-make_options
do_make

mkdir -p $pkg_main/usr/bin
mkdir -p $pkg_main/usr/lib/ocaml/stublibs

do_install

make_docs

make_package main

clean_up

# $Log: lablgtk.builder,v $
# Revision 1.1  2003/04/02 16:50:28  swiergot
# - Initial release.
# - Version 1.2.5.
#
